[@rxap/ngx-material-authentication](../wiki/globals) / LoadingComponent

# Class: LoadingComponent

Defined in: [loading/loading.component.ts:24](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/loading/loading.component.ts#L24)

## Implements

- `OnInit`
- `OnDestroy`

## Constructors

### new LoadingComponent()

> **new LoadingComponent**(`authentication`, `router`): [`LoadingComponent`](../wiki/Class.LoadingComponent)

Defined in: [loading/loading.component.ts:27](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/loading/loading.component.ts#L27)

#### Parameters

##### authentication

`RxapAuthenticationService`

##### router

`Router`

#### Returns

[`LoadingComponent`](../wiki/Class.LoadingComponent)

## Properties

### authentication

> `readonly` **authentication**: `RxapAuthenticationService`

Defined in: [loading/loading.component.ts:29](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/loading/loading.component.ts#L29)

***

### router

> `readonly` **router**: `Router`

Defined in: [loading/loading.component.ts:31](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/loading/loading.component.ts#L31)

***

### subscription?

> `optional` **subscription**: `Subscription`

Defined in: [loading/loading.component.ts:25](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/loading/loading.component.ts#L25)

## Methods

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [loading/loading.component.ts:47](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/loading/loading.component.ts#L47)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`

***

### ngOnInit()

> **ngOnInit**(): `void`

Defined in: [loading/loading.component.ts:35](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/loading/loading.component.ts#L35)

A callback method that is invoked immediately after the
default change detector has checked the directive's
data-bound properties for the first time,
and before any of the view or content children have been checked.
It is invoked only once when the directive is instantiated.

#### Returns

`void`

#### Implementation of

`OnInit.ngOnInit`
